function bsfrontier(ERmv1, SDmv1,ERmv2,SDmv2,ERmv_S,SDmv_S)
% BSFRONTIER plots bootstrapped mean-variance efficient frontiers and eff.frontier for sample 1, with eff frontier for sample 2
%--------------------------------------------------------------------------
% INPUTS:  RetSeries= T*NumAssets matrix collecting return time series.
%          ERmv1= column vector collecting mean-variance  portfolio expected 
%              returns for sample 1
%          SDmv1= column vector collecting mean-variance portfolio standard 
%              deviations for sample 1
%          ERmv2= column vector collecting mean-variance  portfolio expected 
%              returns for sample 1
%          SDmv2= column vector collecting mean-variance portfolio standard 
%              deviations for sample 1
%          ERmv_S= NumPortf*N array collecting the simulated
%              mean for portfolio on EF.
%          SDmv_S= NumPortf*N array collecting the simulated
%              SD for portfolio on EF.
% note: ERmv, SDmv,ERmv_S,SDmv_S and Wmv_S are outputs of RESAMPFRONT.
%--------------------------------------------------------------------------
%OUTPUTS:  only graphical.
%--------------------------------------------------------------------------
grayColor = [1 1 1]*0.7;
N=size(ERmv_S,2);
%plot boostrapped EF
figure
hold on
for i=1:N %_S stands for 'simulated'
    plot(SDmv_S(:,i), ERmv_S(:,i), '*','MarkerSize', 3.5,'color',grayColor) %plot the simulated effcient frontier
end

%add mean variance efficient frontier on smpl 1
plot(SDmv1, ERmv1,'rd-', 'LineWidth', 2, 'Marker', '*', 'MarkerSize', 3)
hold on
set(gca,'fontname','garamond','fontsize',10);
xlabel('Standard deviation')
ylabel('Expected return')
%title('Efficient Frontier 1978-2003')
plot(SDmv2, ERmv2,'bd-', 'LineWidth', 2, 'Marker', '*', 'MarkerSize', 3)
hold off
set(gca,'fontname','garamond','fontsize',10);
set(gca,'YGrid','on')
set(gca,'XGrid','on')
xlabel('Standard deviation')
ylabel('Expected return')
title('EF 1978-2003(red) EF 2003-2007(blue) and BS 1978-2003')
