%% Predictive regressions with valkanov t-stat


function res = predregression(Y,X)

lgs = [1 4 8 16 24 60];

time = [1:size(Y,1)];
spec = garchset('variancemodel','Constant','R',1);

% Calculate returns yearly
Returns = zeros(size(time,2),size(lgs,2));

for j=1:size(lgs,2)
for i=lgs(j):size(time,2)
Returns(i-lgs(j)+1,j) = sum(Y(time(i)-lgs(j)+1:time(i)));
end
end

Returns = Returns(1:end-lgs(end)+1,:);
Xt      = X(1:end-lgs(end)+1,:);
% set matrixes

m = size(lgs,2);

% set empty tables
statVK = NaN(1,m);
beta   = NaN(1,m);
tstat  = NaN(1,m);
r2     = NaN(1,m);
resids = NaN(size(Returns,1),m);

% algorithm
for jj=1:m
    
% predictive regression
resultsDP    = ols(Returns(:,jj),[ones(size(Xt)) Xt]);  
beta(1,jj)   = resultsDP.beta(2); tstat(1,jj) = resultsDP.tstat(2); resids(:,jj) = resultsDP.resid;
r2(1,jj) = resultsDP.rbar;

statVK(1,jj) = tstat(1,jj)/sqrt(size(Xt,1));
end
% matrix for critical valu

    

res.beta    = beta;
res.statVK  = statVK;
res.r2      = r2;


end
