%We load the top portfolio from the previous analysis
dbt=xlsread('MM_Diagnostics','Top','B2:E250');

%We load the name of the information variables
run signals

%We indicate the variables that we used in the model
var=[1 7 9 16];

%We extract the names of the signals
for i=1:size(var,2)
    sn(1,i)=signal(var(i));
end


%We calculate mean return and risk for the top portfolios
[mrt covt]=ewstats(dbt);

%We calculate the efficient frontier for the top portfolios
[ri re w]=frontcon(mrt,covt,10);

%We calculate the Reward to Risk Ratio for the frontier portfolios
rrr=re./ri;

%We plot the frontier and its composition

figure
subplot(2,2,1)
plot(ri,re,'b-o')
xlabel('Risk')
ylabel('Return')
grid on

subplot(2,2,2)
area(w)
legend(sn)

subplot(2,2,3)
plot(ri,rrr,'b-o')
xlabel('Risk')
ylabel('Return / Risk Ratio')
grid on




